# Add message to a feature

| Description | Add a message to a feature.                                                 |
| ----------- | --------------------------------------------------------------------------- |
| Endpoint    | `/path/{pathId}/vector/timestamp/{timestampId}/feature/{featureId}/message` |
| Method      | POST                                                                        |

### Access Level Rules

| **Minimum Access Level** | edit |
| ------------------------ | ---- |

### Processing Units

| **Minimum processing units** | 3 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="461">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>featureId</code></td><td>The id of the feature to add the message to.</td><td>true</td><td></td></tr><tr><td><code>text</code></td><td>A custom text message.</td><td>false</td><td>Default null.</td></tr><tr><td><code>image</code></td><td>An image as base64 string.</td><td>false</td><td>Default null.</td></tr><tr><td><code>location</code></td><td>JSON describing your current location in wgs84 with property "x" for the longitude and property "y" for the latitude.</td><td>false</td><td>Default null.</td></tr><tr><td><code>attachement</code></td><td>A file as blob</td><td>false</td><td>Default null</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-messages/add-message-to-a-feature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
